Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoExceptionClause

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoExceptionClause,MonoExceptionClause.ByValue,MonoExceptionClause.ByReference>
              com.nativelibs4java.mono.MonoExceptionClause

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoExceptionClause,MonoExceptionClause.ByValue,MonoExceptionClause.ByReference>>

Direct Known Subclasses:
  MonoExceptionClause.ByReference, MonoExceptionClause.ByValue

    public class MonoExceptionClause

extends Structure<MonoExceptionClause,MonoExceptionClause.ByValue,MonoExceptionClause.ByReference>

native declaration : mono\metadata\metadata.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoExceptionClause.ByReference`
`static class` | `MonoExceptionClause.ByValue`
`static class` | `MonoExceptionClause.data_union`

Field Summary
`MonoExceptionClause.data_union` | `data`
`int` | `flags`
`int` | `handler_len`
`int` | `handler_offset`
`int` | `try_len`
`int` | `try_offset`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoExceptionClause()`
`MonoExceptionClause(int flags, int try_offset, int try_len, int handler_offset, int handler_len, MonoExceptionClause.data_union data)`

Method Summary
`protected MonoExceptionClause.ByReference` | `newByReference()`
`protected MonoExceptionClause.ByValue` | `newByValue()`
`protected MonoExceptionClause` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### flags

    public int flags

### try_offset

    public int try_offset

### try_len

    public int try_len

### handler_offset

    public int handler_offset

### handler_len

    public int handler_len

### data

    public MonoExceptionClause.data_union data

Constructor Detail

### MonoExceptionClause

    public MonoExceptionClause()

### MonoExceptionClause

    public MonoExceptionClause(int flags,
                               int try_offset,
                               int try_len,
                               int handler_offset,
                               int handler_len,
                               MonoExceptionClause.data_union data)

Method Detail

### newByReference

    protected MonoExceptionClause.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoExceptionClause,MonoExceptionClause.ByValue,MonoExceptionClause.ByReference>`

### newByValue

    protected MonoExceptionClause.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoExceptionClause,MonoExceptionClause.ByValue,MonoExceptionClause.ByReference>`

### newInstance

    protected MonoExceptionClause newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoExceptionClause,MonoExceptionClause.ByValue,MonoExceptionClause.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD